# Poco

# class NullIOS

Library: Foundation
Package: Streams
Header: Poco/NullStream.h

## Description

The base class for NullInputStream and NullOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: NullInputStream, NullOutputStream

## Constructors

### NullIOS

NullIOS();

## Destructor

### ~NullIOS

~NullIOS();

## Variables

### _buf

NullStreamBuf _buf;